<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qmth.themis.business.dao.TIeExamInvigilateNoticeMapper">

    <select id="queryNoticeByExamRecordId" resultType="com.qmth.themis.business.entity.TIeExamInvigilateNotice">
        select t.exam_record_id as examRecordId,
                  t.`type`,
                  t.content,
                  t.form_user_id as formUserId,
                  tbu.name as formUserName,
                  t.send_time as sendTime
        from
            t_ie_exam_invigilate_notice t
            left join t_b_user tbu on tbu.id = t.form_user_id
        where t.exam_record_id = #{examRecordId}
    </select>
</mapper>
